# Maps Platform Datasets API

mapsplatformdatasets.googleapis.com API.

- [REST Resource: v1.media](https://developers.google.com/maps/documentation/datasets/reference/rest#v1.media)
- [REST Resource: v1.projects.datasets](https://developers.google.com/maps/documentation/datasets/reference/rest#v1.projects.datasets)

## Service: mapsplatformdatasets.googleapis.com

To call this service, we recommend that you use the Google-provided [client libraries](https://cloud.google.com/apis/docs/client-libraries-explained). If your application needs to use your own libraries to call this service, use the following information when you make the API requests.

### Service endpoint

A [service endpoint](https://cloud.google.com/apis/design/glossary#api_service_endpoint) is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

- `https://mapsplatformdatasets.googleapis.com`

## REST Resource: [v1.media](https://developers.google.com/maps/documentation/datasets/reference/rest/v1/media)

| Methods ||
|---|---|
| `https://developers.google.com/maps/documentation/datasets/reference/rest/v1/media/download` | `GET /v1/{name=projects/*/datasets/*}:download` Downloads a dataset. |
| `https://developers.google.com/maps/documentation/datasets/reference/rest/v1/media/upload` | `POST /v1/{name=projects/*/datasets/*}:import` `POST /upload/v1/{name=projects/*/datasets/*}:import` Imports a new version of the data for the dataset. |

## REST Resource: [v1.projects.datasets](https://developers.google.com/maps/documentation/datasets/reference/rest/v1/projects.datasets)

| Methods ||
|---|---|
| `https://developers.google.com/maps/documentation/datasets/reference/rest/v1/projects.datasets/create` | `POST /v1/{parent=projects/*}/datasets` Creates a new dataset for the specified project. |
| `https://developers.google.com/maps/documentation/datasets/reference/rest/v1/projects.datasets/delete` | `DELETE /v1/{name=projects/*/datasets/*}` Deletes the specified dataset. |
| `https://developers.google.com/maps/documentation/datasets/reference/rest/v1/projects.datasets/fetchDatasetErrors` | `GET /v1/{dataset=projects/*/datasets/*}:fetchDatasetErrors` Gets all the errors of a dataset. |
| `https://developers.google.com/maps/documentation/datasets/reference/rest/v1/projects.datasets/get` | `GET /v1/{name=projects/*/datasets/*}` Gets the dataset. |
| `https://developers.google.com/maps/documentation/datasets/reference/rest/v1/projects.datasets/list` | `GET /v1/{parent=projects/*}/datasets` Lists all the datasets for the specified project. |
| `https://developers.google.com/maps/documentation/datasets/reference/rest/v1/projects.datasets/patch` | `PATCH /v1/{dataset.name=projects/*/datasets/*}` Updates the metadata for the dataset. |